<script setup>
import { ref } from 'vue';
   
   const subMenuVisible = ref({
     servidores: false,
     particulares: false,
     constancias: false,
     usuarios: false
   });
   
   const toggleSubMenu = (menu) => {
     subMenuVisible.value[menu] = !subMenuVisible.value[menu];
   };
</script>

<script>
import { ref } from 'vue';

export default {
  methods: {
    ParticularesIndex: function(event) {
      window.location.href = route('particulares')
    },
    SancionesParticulares: function (event) {
      window.location.href = route('particulares.sancionados')
    },
    SancionarParticulares: function (event) {
      window.location.href = route('sanciones.create.particulares')
    },
    ServidoresIndex: function(event) {
      window.location.href = route('servidores.publicos')
    },
    SancionesServidores: function (event) {
      window.location.href = route('servidores.publicos.sancionados');
    },
    SancionarServidores: function (event) {
      window.location.href = route('sanciones.create.servidores.publicos')
    },
    ConstanciasIndex: function(event) {
      window.location.href = route('constancias')
    },
    ConstanciasCreate: function(event) {
      window.location.href = route('constancias.create')
    },
    UsuariosIndex: function(event) {
      window.location.href = route('usuarios')
    },

    NotificacionesIndex: function(event) {
      window.location.href = route('notificaciones')
    },

    NotificacionesCreate: function(event) {
      window.location.href = route('notificaciones.create')
    },

    BitacoraIndex: function(event) {
      window.location.href = route('logs')
    },

    CargaServidores: function (event) {
      window.location.href = route('servidores.publicos.carga.masiva')
    },

    CargaParticulares: function (event) {
      window.location.href = route('particulares.carga.masiva')
    },

    


  }
}
</script>


<template>
    <div class="vertical-menu" style="background-color: #2a3042;">
       <div data-simplebar class="h-100">
          <div id="sidebar-menu">
             <ul class="metismenu list-unstyled" id="side-menu">
                <li class="menu-title" key="t-menu" style="color: white;">Menu</li>
                <li>
                   <a href="javascript:void(0);" @click="toggleSubMenu('servidores')"
                      :class="{ 'menu-active': subMenuVisible.servidores }"
                      >
                   <i class="bx bx-chevron-right" :class="{ 'bx-rotate-90': subMenuVisible.servidores }" style="color: white;"></i>
                   <span style="color: white;">Servidores Públicos
                   <!-- <span style="margin-left: 30px;">publicos</span> -->
                   </span>
                   </a>
                   <ul  v-show="subMenuVisible.servidores">
                    <li style="color: white;" class=""><a href="#" v-on:click="SancionesServidores" key="t-default" id="submenu" style="color: white;" class="active">Servidores Públicos Sancionados</a></li>
                    <li style="color: white;" v-if="can('servidores.publicos.get')" class=""><a href="#" v-on:click="ServidoresIndex" id="submenu"  key="t-default" style="color: white;" class="active">Lista de Servidores Públicos</a></li>
                    <li style="color: white;" v-if="can('sanciones.add')" class=""><a href="#" v-on:click="SancionarServidores" id="submenu"  key="t-default" style="color: white;" class="active">Registrar Sanción</a></li>
                    <li style="color: white;" class=""><a href="#"  v-if="can('sanciones.add')"  v-on:click="CargaServidores" id="submenu"  key="t-default" style="color: white;" class="active">Carga masiva</a></li>

                   </ul>
                </li>
                <li>
                   <a href="javascript:void(0);" @click="toggleSubMenu('particulares')"
                      :class="{ 'menu-active': subMenuVisible.particulares }"
                      >
                   <i class="bx bx-chevron-right" :class="{ 'bx-rotate-90': subMenuVisible.particulares }" style="color: white;"></i>
                   <span style="color: white;">Particulares
                   <!-- <span style="margin-left: 30px;">sancionados</span> -->
                   </span>
                   </a>
                   <ul style="color: white;" v-show="subMenuVisible.particulares">
                    <li style="color: white;" class=""><a href="#" v-on:click="SancionesParticulares" key="t-default" id="submenu" style="color: white;" class="active">Particulares Sancionados</a></li>
                    <li style="color: white;" v-if="can('particulares.get')" class=""><a href="#" v-on:click="ParticularesIndex" id="submenu" style="color: white;" key="t-default" class="active">Lista de Particulares</a></li>
                    <li style="color: white;" v-if="can('sanciones.add')" class=""><a href="#" v-on:click="SancionarParticulares" id="submenu"  key="t-default" style="color: white;" class="active">Registrar Sanción</a></li>
                    <li style="color: white;" class=""><a href="#" v-if="can('sanciones.add')" v-on:click="CargaParticulares" id="submenu"  key="t-default" style="color: white;" class="active">Carga masiva</a></li>

                  </ul>
                </li>
                <li>
                   <a v-if="can('constancias.get')" href="javascript:void(0);" @click="toggleSubMenu('constancias')"
                      :class="{ 'menu-active': subMenuVisible.constancias }"
                      >
                   <i class="bx bx-chevron-right" :class="{ 'bx-rotate-90': subMenuVisible.constancias }" style="color: white;"></i>
                   <span style="color: white;">Constancias</span>
                   </a>
                   <ul style="color: white;" v-show="subMenuVisible.constancias">
                    <li style="color: white;" class=""><a href="#" v-on:click="ConstanciasCreate" id="submenu" style="color: white;" key="t-default" class="active">Generar constancia</a></li>
                    <li style="color: white;" class=""><a href="#" v-on:click="ConstanciasIndex" id="submenu" style="color: white;" key="t-default" class="active">Historial constancias</a></li>

                   </ul>
                   
                </li>
                <li v-if="can('users.get')">
                  <a href="javascript:void(0);" @click="toggleSubMenu('usuarios')"
                     :class="{ 'menu-active': subMenuVisible.usuarios }"
                     >
                  <i class="bx bx-chevron-right" :class="{ 'bx-rotate-90': subMenuVisible.usuarios }" style="color: white;"></i>
                  <span style="color: white;">Usuarios</span>
                  </a>
                  <ul style="color: white;" v-show="subMenuVisible.usuarios">
                   <li style="color: white;" class=""><a href="#" v-on:click="UsuariosIndex" id="submenu" style="color: white;" key="t-default" class="active">Lista de usuarios</a></li>
                   <li style="color: white;" class=""><a href="#" v-on:click="BitacoraIndex" id="submenu"  key="t-default" style="color: white;" class="active">Bitacora</a></li>
                  </ul>
               </li>

               <li v-if="can('notificaciones.get')">
                <a href="javascript:void(0);" @click="toggleSubMenu('notificaciones')"
                   :class="{ 'menu-active': subMenuVisible.notificaciones }"
                   >
                <i class="bx bx-chevron-right" :class="{ 'bx-rotate-90': subMenuVisible.notificaciones }" style="color: white;"></i>
                <span style="color: white;">Notificaciones</span>
                </a>
                <ul style="color: white;" v-show="subMenuVisible.notificaciones">
                 <li style="color: white;" class=""><a href="#" v-on:click="NotificacionesIndex" id="submenu" style="color: white;" key="t-default" class="active">Lista de notificaciones</a></li>
                 <li style="color: white;" class=""><a href="#" v-on:click="NotificacionesCreate" id="submenu" style="color: white;" key="t-default" class="active">Emitir notificación</a></li>

                </ul>
             </li>

             </ul>
          </div>
       </div>
    </div>
 </template>

 <style>
     /* Estilos del hover pueden permanecer igual */
        #submenu:hover {
        background-color: #6450b5;
        }
        
        /* Estilos del menú activo */
        .menu-active {
        background-color: #6045ca;
        }
        /* Estilos de la flecha indicadora */
        .bx-rotate-90 {
        transform: rotate(90deg);
        transition: transform 0.3s ease-in-out;
        }
     
 </style>